/*
 * ImagePanel.java
 *
 * Implements a JPanel with an image.
 *
 * Created on March 4, 2007, 12:08 AM
 *
 * Copyright (c) 2007 Matthew P. Del Buono
 * 
 * 
 *     This file is part of the WoWInterface UI Manager (WoWIUpdater)
 *
 *     WoWIUpdater is free software; you can redistribute it and/or modify 
 *     it under the terms of the GNU General Public License as published by 
 *     the Free Software Foundation; either version 2 of the License, or 
 *     (at your option) any later version.
 *
 *     WoWIUpdater is distributed in the hope that it will be useful, but 
 *     WITHOUT ANY WARRANTY; without even the implied warranty of 
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 *     General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * 
 *     To contact the author, please send an e-mail to
 *     Matthew.Delbuono@erau.edu or contact "Shirik" via forum private
 *     message at http://www.wowinterface.com or contact the following
 *     physical address:
 *
 *          Matthew P. Del Buono
 *          600 S Clyde Morris Blvd
 *          Mail #146379
 *          Daytona Beach, FL 32114
 *          United States of America
 */

package wowiupdater;


import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;

/**
 * Implements a JPanel with an image.
 * @deprecated This class should no longer be used. Use a <tt>JLabel</tt>
 * @author m.delbuono
 * @see javax.swing.JLabel
 */
@Deprecated
public class ImagePanel extends JPanel implements Serializable {
    Image image = null;
   
    public ImagePanel() {   
    }

    public ImagePanel(Image image) {
        this.image = image;
    }
  

    public void setImage(Image image){
        this.image = image;
    }
   
    public Image getImage(Image image){
        return image;
    }
   
    public void paintComponent(Graphics g) {
        super.paintComponent(g); 
        if (image != null) {
            int height = this.getSize().height;
            int width = this.getSize().width;         
            g.drawImage(image,0,0, width, height, this);
       
         }
    } 
} 
